<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:richx="http://xpressosystems/richx"
                template="/templates/main.xhtml">

    <ui:define name="title">
		productos en pedido simple
    </ui:define>

    <ui:define name="location">
        <h:outputText value="Operacion > Productos en Pedido Simple"  style="font-family: Arial;font-size : 10px;"/>
    </ui:define>

    <ui:define name="body">

            <style>
        .tooltip {
            background-color:#{richSkin.generalBackgroundColor};
            border-width:3px;
            padding:10px;
        }
        .tooltip-text {
            width:100%;
            height:100%;
            cursor:url;
            border-width:0px;
            text-align:center;
            display: table-cell;
            vertical-align: middle;
        }
        .tooltipData {
            font-weight: bold;
        }
    </style>

        <a4j:form id="listarPedidoSimpleForm">
            <h:panelGroup>
                <rich:messages layout="list" >
                    <f:facet name="errorMarker">
                        <h:graphicImage  value="/images/error16x16.gif" />
                    </f:facet>
                </rich:messages>
            </h:panelGroup>
    
            <h:panelGrid columns="2" styleClass="center" border="0"
                         columnClasses="columnWidth20,columnWidth80" >
                <h:outputText value="Producto: " styleClass="label_bold_right"/>
                <h:panelGroup style="display:block; text-align:left; background-color:transparent;">

                    <h:inputText value="#{pedidoSimpleMB.nombreDescripcion}" 
                                 valueChangeListener="#{pedidoSimpleMB.nombreDescripcionChanged}">
                        <a4j:support event="onkeyup" reRender="resultProductoByNombreDescripcion"
                                     />
                    </h:inputText>
                    <!--
                     <a4j:status>
                        <f:facet name="start">
                            <h:graphicImage  value="/images/gif_loading_azul.gif"/>
                        </f:facet>
                    </a4j:status>
                    
                    <a4j:commandButton   value="BUSCAR"
                                         actionListener="#{pedidoSimpleMB.buscarProductoConNombreDescripcion}"
                                         reRender="resultProductoByNombreDescripcion"
                                         ignoreDupResponses="true">

                    </a4j:commandButton>
                    -->

                    <h:selectOneMenu id="resultProductoByNombreDescripcion"
                                        value="#{pedidoSimpleMB.productoSelected}">
                        <f:selectItems  value="#{pedidoSimpleMB.productoConNombreDescripcion}"/>
                    </h:selectOneMenu>

                    <a4j:commandButton   value="+"
                                         actionListener="#{pedidoSimpleMB.agregarProductoBuscado}"
                                         reRender="listarPedidoSimpleForm"
                                         ignoreDupResponses="true">
                    </a4j:commandButton>

                </h:panelGroup>
                
                <h:outputText value="Cliente : " styleClass="label_bold_right"/>
                <h:selectOneMenu id="clientePedido"
                                 value="#{pedidoSimpleMB.clienteId}"
                                 required="false">
                    <f:selectItems  value="#{pedidoSimpleMB.clienteList}"/>
                </h:selectOneMenu>
                
                <h:outputText value="Forma de Pago : " styleClass="label_bold_right"/>
                <h:selectOneMenu id="formaDePago"
                                 value="#{pedidoSimpleMB.formaDePagoId}"
                                 required="false">
                    <f:selectItems  value="#{pedidoSimpleMB.formaDePagoList}"/>
                </h:selectOneMenu>


                <h:outputText value="Documento Fiscal: " styleClass="label_bold_right"/>
                <h:panelGroup style="display:block; text-align:left; background-color:transparent;">
                    <a4j:commandLink rendered="#{pedidoSimpleMB.pedidoVenta.esFiscal eq 0}"
                                     actionListener="#{pedidoSimpleMB.actualizarEstatusFiscal}"
                                     reRender="listarPedidoSimpleForm"
                                     ignoreDupResponses="true">
                            <h:graphicImage style="border-style:none;" value="/images/nota_16x16.png" title="NOTA"/>
                    </a4j:commandLink>

                    <a4j:commandLink rendered="#{pedidoSimpleMB.pedidoVenta.esFiscal ne 0}"
                                     actionListener="#{pedidoSimpleMB.actualizarEstatusFiscal}"
                                     reRender="listarPedidoSimpleForm"
                                     ignoreDupResponses="true">
                        <h:graphicImage style="border-style:none;" value="/images/factura_16x16.png" title="FACTURA"/>
                    </a4j:commandLink>
                </h:panelGroup>
            </h:panelGrid>

            <rich:dataTable value="#{pedidoSimpleMB.pedidoVentaDetalleList}"
                            var="dvp"
                            width="90%"  
                            styleClass="center" columnClasses="columnWidth10,columnWidth10,columnWidth60,columnWidth10,columnWidth10" >

                <f:facet name="header">
                    <h:panelGroup style="display:block; text-align:left; background-color:transparent;" >
                        <h:outputText value="Pedido Simple" />
                        <a4j:commandButton value="Confirmar Pedido" action="#{pedidoSimpleMB.confirmarPedido}"/>
                    </h:panelGroup>

                </f:facet>

                <rich:column>
                    <f:facet name="header">
                        <h:outputText value="" />
                    </f:facet>
                    <h:panelGroup style="display:block; text-align:center; background-color:transparent;" >
                        <a4j:commandLink actionListener="#{pedidoSimpleMB.eliminarProducto}"
                                         reRender="listarPedidoSimpleForm,panelEditarCantidad"
                                         ignoreDupResponses="true">
                            <h:graphicImage style="border-style:none;" value="/images/eliminar.gif" title="#{UIMessages.COMMON_DELETE}"/>
                            <f:param name="productoId" value="#{dvp.producto.id}"/>
                        </a4j:commandLink>
                    </h:panelGroup>
                </rich:column>

                <rich:column>
                    <f:facet name="header">
                        <h:outputText value="Cant." />
                    </f:facet>
                    <h:panelGroup style="display:block; text-align:right; background-color:transparent;" >
                        <rich:inputNumberSlider value="#{dvp.cantidad}"
                                                width="150"   showToolTip="true"
                                                minValue="1"  maxValue="#{dvp.cantMax}"
                                                step="1">
                            <a4j:support reRender="listarPedidoSimpleForm" event="onchange"/>
                        </rich:inputNumberSlider>
                    </h:panelGroup>
                </rich:column>

                <rich:column  >
                    <f:facet name="header">
                        <h:outputText value="Producto" />
                    </f:facet>
                    <h:panelGroup style="display:block; text-align:left; background-color:transparent;" >

                        <rich:panel  styleClass="tooltip-text" bodyClass="rich-laguna-panel-no-header">
                            <h:graphicImage value="/dynamicImages/Producto?id=#{dvp.producto.id}_20x15"/>
                            <rich:spacer width="10"/>
                            <h:outputText value="#{dvp.producto.nombre} / #{dvp.producto.presentacion}"/>

                            <rich:toolTip showEvent="onclick" direction="bottom-left" mode="ajax" styleClass="tooltip" layout="block">
                                <f:facet name="defaultContent">
                                    <strong>Cargando...</strong>
                                </f:facet>

                                <h:panelGroup style="display:block; text-align:center; background-color:transparent;">
                                    <h:graphicImage value="/dynamicImages/Producto?id=#{dvp.producto.id}_240x180" />
                                </h:panelGroup>

                            </rich:toolTip>
                        </rich:panel>
                        
                    </h:panelGroup>
                </rich:column>

                <rich:column>
                    <f:facet name="header">
                        <h:outputText value="Precio base" />
                    </f:facet>
                    <h:panelGroup style="display:block; text-align:right; background-color:transparent;" >
                        <h:outputText value="#{dvp.precioVenta}">
                            <f:convertNumber maxFractionDigits="2" pattern="$ ###,###,##0.00" locale="es_MX"/>
                        </h:outputText>
                    </h:panelGroup>
                </rich:column>

                <rich:column>
                    <f:facet name="header">
                        <h:outputText value="Descuento" />
                    </f:facet>
                    <h:panelGroup style="display:block; text-align:center; background-color:transparent;" >
                        <a4j:commandLink rendered="#{dvp.descuentoAplicado eq 0.0}"
                                         actionListener="#{pedidoSimpleMB.activarDescuento}"
                                         reRender="listarPedidoSimpleForm"
                                         ignoreDupResponses="true">
                            <h:graphicImage style="border-style:none;" rendered="#{dvp.producto.factorMaxDesc eq 0.05}" value="/images/disc_5_disabled.png"  title="#{(1.0 - dvp.descuentoAplicado) * dvp.precioVenta * dvp.cantidad} DESCUENTO APLICAR"/>
                            <h:graphicImage style="border-style:none;" rendered="#{dvp.producto.factorMaxDesc eq 0.10}" value="/images/disc_10_disabled.png" title="#{(1.0 - dvp.descuentoAplicado) * dvp.precioVenta * dvp.cantidad} DESCUENTO APLICAR"/>
                            <f:param name="productoId" value="#{dvp.producto.id}"/>
                        </a4j:commandLink>

                        <a4j:commandLink rendered="#{dvp.descuentoAplicado gt 0.0}"
                                         actionListener="#{pedidoSimpleMB.desactivarDescuento}"
                                         reRender="listarPedidoSimpleForm"
                                         ignoreDupResponses="true">
                            <h:graphicImage style="border-style:none;" rendered="#{dvp.producto.factorMaxDesc eq 0.05}" value="/images/disc_5_enabled.png"  title="#{(1.0 - dvp.descuentoAplicado) * dvp.precioVenta * dvp.cantidad} DESCUENTO APLICADO"/>
                            <h:graphicImage style="border-style:none;" rendered="#{dvp.producto.factorMaxDesc eq 0.10}" value="/images/disc_10_enabled.png" title="#{(1.0 - dvp.descuentoAplicado) * dvp.precioVenta * dvp.cantidad} DESCUENTO APLICADO"/>
                            <f:param name="productoId" value="#{dvp.producto.id}"/>
                        </a4j:commandLink>

                    </h:panelGroup>
                </rich:column>

                <rich:column>
                    <f:facet name="header">
                        <h:outputText value="Importe" />
                    </f:facet>
                    <h:panelGroup style="display:block; text-align:right; background-color:transparent;" >
                        <h:outputText value="#{dvp.precioVenta * dvp.cantidad}">
                            <f:convertNumber maxFractionDigits="2" pattern="$ ###,###,##0.00" locale="es_MX"/>
                        </h:outputText>
                    </h:panelGroup>
                </rich:column>

            </rich:dataTable>
            <table width="90%" align="center" border="0">
                <tr>
                    <td width="90%" align="right">
                        <h:outputText value="Sub Total:"/>
                    </td>
                    <td width="10%" align="right">
                        <h:outputText value="#{pedidoSimpleMB.pedidoFooter.subtotal}">
                            <f:convertNumber maxFractionDigits="2" pattern="$ ###,###,##0.00" locale="es_MX"/>
                        </h:outputText>
                    </td>
                </tr>

                <tr>
                    <td width="90%" align="right">
                        <h:outputText value="I.V.A. :"
                                      rendered="#{pedidoSimpleMB.pedidoVenta.esFiscal ne 0}"/>
                    </td>
                    <td width="10%" align="right">
                        <h:outputText   value="#{pedidoSimpleMB.pedidoFooter.impuesto}"
                                        rendered="#{pedidoSimpleMB.pedidoVenta.esFiscal ne 0}">
                            <f:convertNumber maxFractionDigits="2" pattern="$ ###,###,##0.00" locale="es_MX"/>
                        </h:outputText>
                    </td>
                </tr>

                <tr>
                    <td width="90%" align="right">
                        <h:outputText value="Descuento:"/>
                    </td>
                    <td width="10%" align="right">
                        <h:outputText value="#{pedidoSimpleMB.pedidoFooter.descuento}">
                            <f:convertNumber maxFractionDigits="2" pattern="$ -###,###,##0.00" locale="es_MX"/>
                        </h:outputText>
                    </td>
                </tr>

                <tr>
                    <td width="90%" align="right">
                        <h:outputText value="Total:"/>
                    </td>
                    <td width="10%" align="right">
                        <h:outputText value="#{pedidoSimpleMB.pedidoFooter.total}">
                            <f:convertNumber maxFractionDigits="2" pattern="$ ###,###,##0.00" locale="es_MX"/>
                        </h:outputText>
                    </td>
                </tr>

            </table>

        </a4j:form>
    </ui:define>

</ui:composition>